SHARE
TWEET

Untitled

a guest Jan 14th, 2020 81 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Odoo Server Error
  2. Traceback (most recent call last):
  3.   File "/Users/alain/odoo-server/odoo-dev/odoo/http.py", line 677, in dispatch
  4.     result = self._call_function(**self.params)
  5.   File "/Users/alain/odoo-server/odoo-dev/odoo/http.py", line 353, in _call_function
  6.     return checked_call(self.db, *args, **kwargs)
  7.   File "/Users/alain/odoo-server/odoo-dev/odoo/service/model.py", line 93, in wrapper
  8.     return f(dbname, *args, **kwargs)
  9.   File "/Users/alain/odoo-server/odoo-dev/odoo/http.py", line 346, in checked_call
  10.     result = self.endpoint(*a, **kw)
  11.   File "/Users/alain/odoo-server/odoo-dev/odoo/http.py", line 922, in __call__
  12.     return self.method(*args, **kw)
  13.   File "/Users/alain/odoo-server/odoo-dev/odoo/http.py", line 523, in response_wrap
  14.     response = f(*args, **kw)
  15.   File "/Users/alain/odoo-server/odoo-dev/addons/web/controllers/main.py", line 1319, in call_kw
  16.     return self._call_kw(model, method, args, kwargs)
  17.   File "/Users/alain/odoo-server/odoo-dev/addons/web/controllers/main.py", line 1311, in _call_kw
  18.     return call_kw(request.env[model], method, args, kwargs)
  19.   File "/Users/alain/odoo-server/odoo-dev/odoo/api.py", line 394, in call_kw
  20.     result = _call_kw_multi(method, model, args, kwargs)
  21.   File "/Users/alain/odoo-server/odoo-dev/odoo/api.py", line 381, in _call_kw_multi
  22.     result = method(recs, *args, **kwargs)
  23.   File "/Users/alain/odoo-server/enterprise-dev/account_reports/models/account_report.py", line 1169, in get_html
  24.     lines = self._create_hierarchy(lines, options)
  25.   File "/Users/alain/odoo-server/enterprise-dev/account_reports/models/account_report.py", line 582, in _create_hierarchy
  26.     new_lines.extend(compute_hierarchy(account_lines, current_level + 1, parent_id, parent_id))
  27.   File "/Users/alain/odoo-server/enterprise-dev/account_reports/models/account_report.py", line 547, in compute_hierarchy
  28.     codes = self.get_account_codes(account)  # id, name
  29.   File "/Users/alain/odoo-server/enterprise-dev/account_reports/models/account_report.py", line 499, in get_account_codes
  30.     if account.group_id:
  31.   File "/Users/alain/odoo-server/odoo-dev/odoo/fields.py", line 2269, in __get__
  32.     return super().__get__(records, owner)
  33.   File "/Users/alain/odoo-server/odoo-dev/odoo/fields.py", line 992, in __get__
  34.     recs._fetch_field(self)
  35.   File "/Users/alain/odoo-server/odoo-dev/odoo/models.py", line 2948, in _fetch_field
  36.     self._read(fnames)
  37.   File "/Users/alain/odoo-server/odoo-dev/odoo/models.py", line 3019, in _read
  38.     cr.execute(query_str, params)
  39.   File "/Users/alain/odoo-server/odoo-dev/odoo/sql_db.py", line 163, in wrapper
  40.     return f(self, *args, **kwargs)
  41.   File "/Users/alain/odoo-server/odoo-dev/odoo/sql_db.py", line 240, in execute
  42.     res = self._obj.execute(query, params)
  43. Exception
  44.  
  45. The above exception was the direct cause of the following exception:
  46.  
  47. Traceback (most recent call last):
  48.   File "/Users/alain/odoo-server/odoo-dev/odoo/http.py", line 632, in _handle_exception
  49.     return super(JsonRequest, self)._handle_exception(exception)
  50.   File "/Users/alain/odoo-server/odoo-dev/odoo/http.py", line 317, in _handle_exception
  51.     raise exception.with_traceback(None) from new_cause
  52. psycopg2.DataError: invalid input syntax for type integer: "aml_122"
  53. LINE 1: ...me"."value" != '') WHERE "account_account".id IN ('aml_122')...
  54.                                                             ^
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top